#include <iostream>
#include <math.h>

using namespace std;

int main(){
    long long v,pom;
    int br = 0,brojac = 0,d1=5,d2=2,p=0,r;
    cin>>v;
    pom = v;
    while(pom>0){
        br = br + 1;
        pom = pom / 10;
    }
    br = br - 1;
    while(br>=0){
        r = pow(10,br);
        p = v / (d1 * r);
        brojac = brojac + p;
        v = v % (d1 * r);
        p = v / (d2 * r);
        brojac = brojac + p;
        v = v % (d2 * r);
        p = v / r;
        brojac = brojac + p;
        v = v % r;
        br = br - 1;
    }
    cout<<brojac<<endl;
    return 0;
}